Subject: bug#49160: 28.0.50; [PATCH] Uninitialized inhibit_buffer_hooks

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jun 2021 14:41:17 +0300

> From: dick <[email-masked]>
> Date: Mon, 21 Jun 2021 15:39:26 -0400
> 
> It's random whether buffers created outside `get-buffer-create`, i.e.,
> indirect buffers, call kill-buffer hooks.

Please in the future try to be more explicit in describing the
problem.  "It is random" isn't explicit enough.

More to the point: since this attribute of a buffer cannot be changed
once the buffer is created, I think it might be okay to copy from the
base buffer, but we should also allow the caller to control that by
introducing an optional argument similar to that of get-buffer-create.
And if we do that, we could also consider making the default value be
nil, not necessarily a copy of that of the base buffer.

Thanks.